<div class="modal-dialog modal-lg">
    <?= form_open(
        [
            'id' => 'record-editor-form',
            'role' => 'form',
            'method' => $formWidget->context == 'create' ? 'POST' : 'PATCH',
            'data-request' => $this->alias.'::onSaveRecord',
            'data-control' => 'area-form',
            'class' => 'w-100',
        ]
    ); ?>
    <div class="modal-content">
        <div class="modal-header">
            <h4 class="modal-title"><?= e(lang($formTitle)) ?></h4>
            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        </div>
        <input type="hidden" name="areaId" value="<?= $formAreaId ?>">
        <input type="hidden" data-map-shape <?= $this->getMapShapeAttributes($formWidget->model) ?>>
        <div class="modal-body">
            <div class="form-fields p-0">
                <?php foreach ($formWidget->getFields() as $field) { ?>
                    <?= $formWidget->renderField($field) ?>
                <?php } ?>
            </div>
        </div>
        <div class="modal-footer text-right">
            <button
                type="button"
                class="btn btn-link"
                data-dismiss="modal"
            ><?= lang('admin::lang.button_close') ?></button>
            <button
                type="submit"
                class="btn btn-primary"
            ><?= lang('admin::lang.button_save') ?></button>
        </div>
    </div>
    <?= form_close(); ?>
</div>
